// FileDateDlg.h : header file
//  Author: T.Yogaramanan

#if !defined(AFX_FILEDATEDLG_H__2FF23D99_8858_4FCC_99CA_FD913EF18E8C__INCLUDED_)
#define AFX_FILEDATEDLG_H__2FF23D99_8858_4FCC_99CA_FD913EF18E8C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "DragDropEdit.h"

/////////////////////////////////////////////////////////////////////////////
// CFileDateDlg dialog

class CFileDateDlg : public CDialog
{
// Construction
public:
	CFileDateDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CFileDateDlg)
	enum { IDD = IDD_FILEDATE_DIALOG };
	CDragDropEdit	m_edtPath;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFileDateDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CFileDateDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBtnSelFile();
	afx_msg void OnBtnSelDir();
	afx_msg void OnBtnRefresh();
	afx_msg void OnBtnApply();
	afx_msg void OnChkIgnoreAttr();
	virtual void OnCancel();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FILEDATEDLG_H__2FF23D99_8858_4FCC_99CA_FD913EF18E8C__INCLUDED_)
